package space.uranos.mdsp.generator

import com.squareup.kotlinpoet.ClassName

const val BASE_PACKAGE = "space.uranos"
const val WORLD_PACKAGE = "$BASE_PACKAGE.world"
const val BLOCK_PACKAGE = "$WORLD_PACKAGE.block"
const val ENTITY_PACKAGE = "$BASE_PACKAGE.entity"
const val ITEM_PACKAGE = "$BASE_PACKAGE.item"
const val TAG_PACKAGE = "$BASE_PACKAGE.tag"
val MATERIAL_TYPE = ClassName(BLOCK_PACKAGE, "Material")
val BLOCK_TYPE = ClassName(BLOCK_PACKAGE, "Block")
val ITEM_TYPE_TYPE = ClassName(ITEM_PACKAGE, "ItemType")
val ENTITY_TYPE = ClassName(ENTITY_PACKAGE, "Entity")
val ENTITY_TYPE_TYPE = ClassName(ENTITY_PACKAGE, "EntityType")
val TAG_TYPE = ClassName(TAG_PACKAGE, "Tag")
val TAG_TYPE_TYPE = TAG_TYPE.nestedClass("Type")
