package space.uranos.event

import space.uranos.Uranos
import kotlin.reflect.KClass

class EventBusWrapper<E>(private val target: Any): EventEmitter<TargetedEvent<E>>() {
    override fun <T : TargetedEvent<E>> on(
        eventType: KClass<T>,
        handlerPosition: EventHandlerPosition,
        fn: suspend (event: T) -> Unit
    ): EventHandler<T> = Uranos.eventBus.on(eventType, handlerPosition) { event -> if (event.target == target) fn(event) }
}
