package space.uranos.util.numbers

fun floorMod(dividend: Float, divisor: Float): Float {
    if (divisor == 0f) throw ArithmeticException("divisor cannot be 0")

    val mod = dividend % divisor

    if (mod != 0f && ((mod < 0 && divisor > 0) || (mod > 0 && divisor < 0))) return mod + divisor
    return mod
}
