package space.uranos.util.numbers

fun validateYaw(value: Float, name: String = "yaw") {
    if (value >= 360f) throw IllegalArgumentException("$name must be lower than 360")
    if (value < 0f) throw IllegalArgumentException("$name must not be negative")
}

fun validatePitch(value: Float, name: String = "pitch") {
    validateParameterIsInRange(name, -90..90, value)
}
