package space.uranos.world

open class WorldRegistry {
    protected val internalItems = HashMap<World, World.Internals>()
    val items: Collection<World> get() = internalItems.keys

    fun register(internals: World.Internals) {
        internalItems[internals.world] = internals
    }
}
