package space.uranos.world.block

import org.junit.jupiter.api.Test
import strikt.api.expectThat
import strikt.assertions.isEqualTo

class BlockCodecTest {
    @Test
    fun `getStateID returns 6698 for DaylightDetector(inverted=true, power=0)`() {
        expectThat(DaylightDetectorBlock.codec.getStateID(DaylightDetectorBlock(true, 0))).isEqualTo(6698)
    }

    @Test
    fun `getStateID returns 6729 for DaylightDetector(inverted=false, power=15)`() {
        expectThat(DaylightDetectorBlock.codec.getStateID(DaylightDetectorBlock(false, 15))).isEqualTo(6729)
    }
}
