plugins {
    kotlin("jvm")
}

group = rootProject.group
version = rootProject.version

repositories {
    mavenCentral()
    jcenter()
}

dependencies {
    api(project(":uranos-packets"))
    api(project(":uranos-nbt"))

    // Netty
    api("io.netty:netty-buffer:_")

    // Other
    api("com.google.guava:guava:_")

    // Testing
    testImplementation(Testing.Strikt.core)
    testImplementation(Testing.junit.api)
    testRuntimeOnly(Testing.junit.engine)
}

tasks {
    test {
        useJUnitPlatform()
    }
}
