package space.uranos.net.packet.login

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeString
import space.uranos.net.MinecraftProtocolDataTypes.writeUUID
import space.uranos.net.packet.OutgoingPacketCodec

object LoginSuccessPacketCodec : OutgoingPacketCodec<LoginSuccessPacket>(0x02, LoginSuccessPacket::class) {
    override fun LoginSuccessPacket.encode(dst: ByteBuf) {
        dst.writeUUID(uuid)
        dst.writeString(username)
    }
}
