package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeString
import space.uranos.net.packet.OutgoingPacketCodec

object DisconnectPacketCodec : OutgoingPacketCodec<DisconnectPacket>(0x19, DisconnectPacket::class) {
    override fun DisconnectPacket.encode(dst: ByteBuf) {
        dst.writeString(reason.toJson())
    }
}
