package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object EntityHeadYawPacketCodec : OutgoingPacketCodec<EntityHeadYawPacket>(0x3A, EntityHeadYawPacket::class) {
    override fun EntityHeadYawPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(entityID)
        dst.writeByte(yaw.toInt())
    }
}
