package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object EntityOrientationPacketCodec :
    OutgoingPacketCodec<EntityOrientationPacket>(0x29, EntityOrientationPacket::class) {
    override fun EntityOrientationPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(entityID)
        dst.writeByte(yaw.toInt())
        dst.writeByte(pitch.toInt())
        dst.writeBoolean(onGround)
    }
}
