package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object EntityRelativeMovePacketCodec :
    OutgoingPacketCodec<EntityRelativeMovePacket>(0x27, EntityRelativeMovePacket::class) {
    override fun EntityRelativeMovePacket.encode(dst: ByteBuf) {
        dst.writeVarInt(entityID)
        dst.writeShort(deltaX.toInt())
        dst.writeShort(deltaY.toInt())
        dst.writeShort(deltaZ.toInt())
        dst.writeBoolean(onGround)
    }
}
