package space.uranos.net.packet.play

import space.uranos.net.packet.Protocol

object PlayProtocol : Protocol(
    "PLAY",
    ChunkDataPacketCodec,
    ChunkLightDataPacketCodec,
    ClientRequestPacketCodec,
    ClientSettingsPacketCodec,
    CompassTargetPacketCodec,
    DeclareCommandsPacketCodec,
    DeclareRecipesPacketCodec,
    DestroyEntitiesPacketCodec,
    DisconnectPacketCodec,
    EntityHeadYawPacketCodec,
    EntityOrientationPacketCodec,
    EntityRelativeMovePacketCodec,
    EntityRelativeMoveWithOrientationPacketCodec,
    EntityTeleportPacketCodec,
    IncomingKeepAlivePacketCodec,
    IncomingPlayerPositionPacketCodec,
    IncomingPluginMessagePacketCodec,
    JoinGamePacketCodec,
    OutgoingKeepAlivePacketCodec,
    OutgoingPlayerPositionPacketCodec,
    OutgoingPluginMessagePacketCodec,
    PlayerAbilitiesPacketCodec,
    PlayerInfoPacketCodec,
    PlayerLocationPacketCodec,
    PlayerOrientationPacketCodec,
    SelectedHotbarSlotPacketCodec,
    ServerDifficultyPacketCodec,
    SpawnExperienceOrbPacketCodec,
    SpawnLivingEntityPacketCodec,
    SpawnObjectEntityPacketCodec,
    SpawnPaintingPacketCodec,
    TagsPacketCodec,
    ViewPositionPacketCodec
)
