package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.entity.Position
import space.uranos.net.packet.IncomingPacketCodec

object PlayerLocationPacketCodec :
    IncomingPacketCodec<PlayerPositionPacket>(0x12, PlayerPositionPacket::class) {
    override fun decode(msg: ByteBuf): PlayerPositionPacket = PlayerPositionPacket(
        Position(msg.readDouble(), msg.readDouble(), msg.readDouble()),
        msg.readBoolean()
    )
}
