package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.IncomingPacketCodec
import space.uranos.util.numbers.floorMod

object PlayerOrientationPacketCodec :
    IncomingPacketCodec<PlayerOrientationPacket>(0x14, PlayerOrientationPacket::class) {
    override fun decode(msg: ByteBuf): PlayerOrientationPacket = PlayerOrientationPacket(
        floorMod(msg.readFloat(), 360f),
        msg.readFloat(),
        msg.readBoolean()
    )
}
