package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object SpawnExperienceOrbPacketCodec : OutgoingPacketCodec<SpawnExperienceOrbPacket>(0x01, SpawnExperienceOrbPacket::class) {
    override fun SpawnExperienceOrbPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(entityID)
        dst.writeDouble(x)
        dst.writeDouble(y)
        dst.writeDouble(z)
        dst.writeShort(amount.toInt())
    }
}
