package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object ViewPositionPacketCodec :
    OutgoingPacketCodec<ViewPositionPacket>(0x40, ViewPositionPacket::class) {
    override fun ViewPositionPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(chunkKey.x)
        dst.writeVarInt(chunkKey.z)
    }
}
