package space.uranos.net.packet.play

import space.uranos.entity.Position
import space.uranos.net.packet.IncomingPacket

// Name on wiki.vg: Player Position and Rotation (serverbound)
/**
 * Combination of [PlayerPositionPacket] and [PlayerOrientationPacket].
 */
data class IncomingPlayerPositionPacket(
    val position: Position,
    val yaw: Float,
    val pitch: Float,
    val onGround: Boolean
) : IncomingPacket()
