package space.uranos.net.packet.play

import space.uranos.net.packet.IncomingPacket

// Name on wiki.vg: Player Rotation
/**
 * Sent by the client to update the player's orientation on the server.
 */
data class PlayerOrientationPacket(
    val yaw: Float,
    val pitch: Float,
    val onGround: Boolean
) : IncomingPacket()
