package space.uranos.net.packet.play

import space.uranos.entity.Position
import space.uranos.net.packet.IncomingPacket

// Name on wiki.vg: Player Position
/**
 * Sent by the client to update the player's x, y and z coordinates on the server.
 */
data class PlayerPositionPacket(
    val position: Position,
    val onGround: Boolean
) : IncomingPacket()
