package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket

/**
 * Sent by the server to select a specific hotbar slot.
 */
data class SelectedHotbarSlotPacket(val index: Int) : OutgoingPacket() {
    init {
        if (index !in 0..8) throw IllegalArgumentException("index must be between 0 and 8")
    }
}
