package space.uranos.net.packet.play

import space.uranos.Vector
import space.uranos.net.packet.OutgoingPacket
import java.util.UUID

/**
 * Sent to spawn object entities.
 */
data class SpawnObjectEntityPacket(
    val entityID: Int,
    val uuid: UUID,
    val type: Int,
    val x: Double,
    val y: Double,
    val z: Double,
    val yaw: UByte,
    val pitch: UByte,
    val data: Int,
    val velocity: Vector
) : OutgoingPacket()
