package space.uranos.entity.impl

import space.uranos.UranosServer
import space.uranos.entity.MinecartEntity
import space.uranos.entity.UranosObjectEntity
import space.uranos.util.numbers.validatePitch
import space.uranos.util.numbers.validateYaw

class UranosMinecartEntity(server: UranosServer) : UranosObjectEntity(server), MinecartEntity {
    override var yaw: Float = 0f
        set(value) {
            validateYaw(value); field = value
        }

    override var pitch: Float = 0f
        set(value) {
            validatePitch(value); field = value
        }
}
