package space.uranos.net.packet.handshaking

import space.uranos.net.PacketReceivedEventHandler
import space.uranos.net.ProtocolPacketReceivedEventHandler
import space.uranos.net.Session

object HandshakingProtocolHandler : ProtocolPacketReceivedEventHandler(mapOf(
    HandshakePacket::class to PacketReceivedEventHandler.of<HandshakePacket> { session, packet ->
        session.state =
            if (packet.loginAttempt) Session.State.WaitingForLoginStart
            else Session.State.WaitingForStatusRequest
    }
))
