package space.uranos.net.packet.play

import space.uranos.net.ProtocolPacketReceivedEventHandler

// NOTE: PacketReceivedEventHandler.of<T> MUST have T specified correctly, otherwise the code breaks at runtime
object PlayProtocolHandler : ProtocolPacketReceivedEventHandler(
    mapOf(
        ClientSettingsPacket::class to ClientSettingsPacketHandler,
        IncomingKeepAlivePacket::class to IncomingKeepAlivePacketHandler,
        IncomingPlayerPositionPacket::class to IncomingPlayerPositionPacketHandler,
        IncomingPluginMessagePacket::class to IncomingPluginMessagePacketHandler,
        PlayerOrientationPacket::class to PlayerOrientationPacketHandler,
        PlayerPositionPacket::class to PlayerLocationPacketHandler
    )
)
