package space.uranos.net.packet.play

import space.uranos.net.PacketReceivedEventHandler
import space.uranos.net.UranosSession

object PlayerOrientationPacketHandler : PacketReceivedEventHandler<PlayerOrientationPacket>() {
    override suspend fun handle(session: UranosSession, packet: PlayerOrientationPacket) {
        session.earlyPlayer?.entity?.let {
            it.headYaw = packet.yaw
            it.headPitch = packet.pitch
        } ?: error("Player not initialized yet")
    }
}
