import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    kotlin("jvm")
    kotlin("kapt")
    id("minecraft-data-sources")
}

group = "space.uranos"
version = "0.0.1-SNAPSHOT"

repositories {
    mavenCentral()
}

allprojects {
    tasks.withType<KotlinCompile> {
        kotlinOptions.jvmTarget = "14"
        kotlinOptions.languageVersion = "1.4"

        kotlinOptions.freeCompilerArgs += "-progressive"
        kotlinOptions.freeCompilerArgs += "-Xopt-in=kotlin.ExperimentalStdlibApi"
        kotlinOptions.freeCompilerArgs += "-Xopt-in=kotlin.ExperimentalUnsignedTypes"
        kotlinOptions.freeCompilerArgs += "-Xopt-in=kotlin.time.ExperimentalTime"
        kotlinOptions.freeCompilerArgs += "-Xopt-in=kotlin.contracts.ExperimentalContracts"
    }
}
