plugins {
    kotlin("jvm")
    id("com.github.johnrengelman.shadow")
}

group = "space.uranos.testplugin"
version = "0.0.1-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation(project(":uranos-api"))
    implementation(project(":uranos-packets"))
}

tasks {
    shadowJar {
        archiveFileName.set("TestPlugin.jar")
        destinationDirectory.set(file("../serverData/plugins"))
    }
}
