package space.uranos.net.event

import space.uranos.event.Cancellable
import space.uranos.net.Session
import space.uranos.net.packet.IncomingPacket

/**
 * Emitted when a packet is received.
 */
class PacketReceivedEvent<T : IncomingPacket>(override val target: Session, var packet: T) : SessionEvent(), Cancellable {
    override var cancelled = false
}
