package space.uranos.net.event

import space.uranos.event.Cancellable
import space.uranos.net.Session
import space.uranos.net.packet.OutgoingPacket

/**
 * Emitted when a packet is going to be sent.
 */
class PacketSendEvent(override val target: Session, var packet: OutgoingPacket) : SessionEvent(), Cancellable {
    override var cancelled = false
}
