package space.uranos.tag

object TagRegistry {
    val tags: List<Tag> = MINECRAFT_INTERNAL_TAGS.toList()
    val tagsByType: Map<Tag.Type, List<Tag>> = tags.groupBy { it.type }

    val tagsByNameByType: Map<Tag.Type, Map<String, Tag>> =
        tagsByType.mapValues { (_, tags) -> tags.map { it.name to it }.toMap() }
}
