package space.uranos.chat

import org.junit.jupiter.api.Test
import strikt.api.expectThat
import strikt.assertions.isEqualTo

class LegacyFormattingCodeTest {
    @Test
    fun `correctly translates to a string`() {
        expectThat("${LegacyFormattingCode.AQUA}").isEqualTo("§b")
    }

    @Test
    fun `can be appended to another FormattingCode using the + operator`() {
        expectThat(LegacyFormattingCode.AQUA + LegacyFormattingCode.BLACK).isEqualTo("§b§0")
    }
}
