package space.uranos.net.packet.login

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeString
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object EncryptionRequestPacketCodec :
    OutgoingPacketCodec<EncryptionRequestPacket>(0x01, EncryptionRequestPacket::class) {
    override fun EncryptionRequestPacket.encode(dst: ByteBuf) {
        dst.writeString("") // Required for legacy reasons
        dst.writeVarInt(publicKey.size)
        dst.writeBytes(publicKey)
        dst.writeVarInt(verifyToken.size)
        dst.writeBytes(verifyToken)
    }
}
