package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVoxelLocation
import space.uranos.net.packet.OutgoingPacketCodec

object CompassTargetPacketCodec :
    OutgoingPacketCodec<CompassTargetPacket>(0x42, CompassTargetPacket::class) {
    override fun CompassTargetPacket.encode(dst: ByteBuf) {
        dst.writeVoxelLocation(target)
    }
}
