package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object DestroyEntitiesPacketCodec :
    OutgoingPacketCodec<DestroyEntitiesPacket>(0x36, DestroyEntitiesPacket::class) {
    override fun DestroyEntitiesPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(entityIDs.size)
        entityIDs.forEach { dst.writeVarInt(it) }
    }
}
