package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.OutgoingPacketCodec

object OutgoingKeepAlivePacketCodec :
    OutgoingPacketCodec<OutgoingKeepAlivePacket>(0x1F, OutgoingKeepAlivePacket::class) {
    override fun OutgoingKeepAlivePacket.encode(dst: ByteBuf) {
        dst.writeLong(id)
    }
}
