package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeString
import space.uranos.net.packet.OutgoingPacketCodec

object OutgoingPluginMessagePacketCodec :
    OutgoingPacketCodec<OutgoingPluginMessagePacket>(0x17, OutgoingPluginMessagePacket::class) {
    override fun OutgoingPluginMessagePacket.encode(dst: ByteBuf) {
        dst.writeString(channel)
        dst.writeBytes(data)
    }
}
