package space.uranos.util

import java.nio.ByteBuffer

fun Long.toByteArray(): ByteArray = ByteBuffer.allocate(Long.SIZE_BYTES).also {
    it.putLong(this)
}.array()

fun ByteArray.toLong() = ByteBuffer.allocate(Long.SIZE_BYTES).also {
    it.put(this)
    it.flip()
}.long
