package space.uranos.net.packet.login

import space.uranos.net.packet.OutgoingPacket

/**
 * Sent by the server to indicate that all following packets are compressed and the client should also compress its
 * packets.
 *
 * @param threshold Maximum size before a packet is compressed. Values lower than 1 will disable compression.
 */
data class SetCompressionPacket(val threshold: Int) : OutgoingPacket()
