package space.uranos.net.packet.play

import space.uranos.net.packet.Mergeable
import space.uranos.net.packet.OutgoingPacket

class DestroyEntitiesPacket(val entityIDs: Array<Int>) : OutgoingPacket(), Mergeable {
    override fun mergeWith(otherPacket: OutgoingPacket): OutgoingPacket? {
        return (otherPacket as? DestroyEntitiesPacket)?.let { DestroyEntitiesPacket(it.entityIDs + otherPacket.entityIDs) }
    }
}
