package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket

data class EntityTeleportPacket(
    val entityID: Int,
    val x: Double,
    val y: Double,
    val z: Double,
    /**
     * Ignored for entities implementing [HasMovableHead][space.uranos.entity.HasMovableHead].
     *
     * [EntityHeadYawPacket][space.uranos.net.packet.play.EntityHeadYawPacket] must be used instead.
     */
    val yaw: UByte,
    val pitch: UByte,
    val onGround: Boolean
) : OutgoingPacket()
