package space.uranos.net.packet.play

import space.uranos.CardinalDirection
import space.uranos.PaintingMotive
import space.uranos.net.packet.OutgoingPacket
import space.uranos.world.VoxelLocation
import java.util.UUID

/**
 * Sent to spawn **living** entities.
 */
data class SpawnPaintingPacket(
    val entityID: Int,
    val uuid: UUID,
    val motive: PaintingMotive,
    val centerLocation: VoxelLocation,
    val direction: CardinalDirection
) : OutgoingPacket()
