package space.uranos.entity.impl

import space.uranos.UranosServer
import space.uranos.entity.PlayerEntity
import space.uranos.entity.UranosHasMovableHeadLivingEntity
import space.uranos.player.Player
import java.util.UUID

class UranosPlayerEntity(
    server: UranosServer,
    override val player: Player
) : UranosHasMovableHeadLivingEntity(server), PlayerEntity {
    override val uuid: UUID = player.uuid
}
