package space.uranos.net.packet.login

import space.uranos.net.ProtocolPacketReceivedEventHandler

// NOTE: PacketReceivedEventHandler.of<T> MUST have T specified correctly, otherwise the code breaks at runtime
object LoginProtocolHandler : ProtocolPacketReceivedEventHandler(
    mapOf(
        LoginStartPacket::class to LoginStartPacketHandler,
        EncryptionResponsePacket::class to EncryptionResponsePacketHandler
    )
)
